#!/bin/tcsh -f


set dpath = vtp-1.0Hm

set dt = `date +%Y%m%d`
set excf = ${dpath}/exclude.txt
set opt = "--exclude-from ${excf} --exclude .svn --exclude .kdbg "
cd ../
find ${dpath}/ -name "*.o" > ${excf}
find ${dpath}/ -name "*~" >> ${excf}
find ${dpath}/ -name "*.bak" >> ${excf}
find ${dpath}/ -name ".*" >> ${excf}
find ${dpath}/ -name "*.a" >> ${excf}
find ${dpath}/ -name "*.#" >> ${excf}
find ${dpath}/ -name "*.am" >> ${excf}
find ${dpath}/ -name "CVS" >> ${excf}
find ${dpath}/ -name "core.*" >> ${excf}
find ${dpath}/src/app  >> ${excf}
find ${dpath}/src/app-ms/  >> ${excf}

set cmd = "tar zcvf ${dpath}-${dt}.tgz ${opt} ${dpath}/src "
echo $cmd
$cmd
